SolrQuery::addFacetQuery
SolrQuery::addFilterQuery
SolrQuery
PHP Manual

# SolrQuery::addField

(PECL solr >= 0.9.2)

SolrQuery::addField — Specifies which fields to return in the result

### 説明

public SolrQuery SolrQuery::addField ( string `$field` )

This method is used to used to specify a set of fields to return, thereby restricting the amount of data returned in the response.

It should be called multiple time, once for each field name.

### パラメータ

`field`

  The name of the field

### 返り値

Returns the current SolrQuery object

SolrQuery::addFacetQuery
SolrQuery::addFilterQuery
SolrQuery
PHP Manual